import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dblrol {
    
    @observable
    rolp_extkey=""           // \rolp\extkey    角色编码 

    @observable
    rolp_rollst=[]           // \rolp\rollst 

    @observable
    rolp_rolnam=""           // \rolp\rolnam    角色名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.rolp_extkey=""
            this.rolp_rollst=[]
            this.rolp_rolnam=""
    }

} 


export default Dblrol